Subject: Sterile potting mixture?

From: [email-masked] (Frances Whited, 216/569-5291)
Date: 23 Mar 95 10:12:59 -0400

I began working on getting seed started for indoor sprouting last weekend and
got sidetracked before I finished. My question is this: I had my dampened 
sterile potting medium in a big plastic bucket. I left it sitting out on my
screened-in porch, uncovered. I'll probably get back to the task this weekend.
Do I have to re-sterilize the potting medium? If so, why is the soil any more
contaminated than what is now in the flats with seeds in them?

Thanks for any advice/words of wisdom.

Frances